Hermos API

Read a card update’s status

GET/subscriptions/{subscription}/payment_method_setups/{setup}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

subscription*string

Opaque subscription ID.

Match^sbs_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])
setup*string

Opaque payment method setup ID.

Match^pms_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Response Body

application/json

application/json

curl -X GET "https://example.com/subscriptions/string/payment_method_setups/string"
{  "id": "string",  "status": "creating",  "status_reason": "string",  "attempt": 1,  "payment_method": {    "id": "string",    "brand": "string",    "last4": "string",    "exp_month": 0,    "exp_year": 0  },  "overdue": true,  "overdue_retry": {    "next_attempt_at": "string",    "card": "this_card"  }}